DF(1)

NAME
df - display free disk space

SYNOPSIS
df [-ikn] [-t type] [file | filesystem ...]

DESCRIPTION
df displays statistics about the amount of free disk space on the specified filesystem or on the filesystem of which file is a part. Values are displayed in 512-byte per block block counts. If neither a file or a filesystem operand is specified, statistics for all mounted filesystems are displayed (subject to the -t option below).

The following options are available:

-i  Include statistics on the number of free inodes.

-k  Use 1024-byte (1-Kbyte) blocks rather than the default. Note that this overrides the BLOCKSIZE specification from the environment.

-n  Print out the previously obtained statistics from the filesystems. This option should be used if it is possible that one or more filesystems are in a state such that they will not be able to provide statistics without a long delay. When this option is specified, df will not request new statistics from the filesystems, but will respond with the possibly stale statistics that were previously obtained.

-t  Only print out statistics for filesystems of the specified types. More than one type may be specified in a comma separated list. The list of filesystem types can be prefixed with “no” to specify the filesystem types for which action should not be taken. For example, the df command:

        df -t nonfs,mfs

    lists all filesystems except those of type NFS and MFS. The sysctl(8) command can be used to find out the types of filesystems that are available on the system:

        sysctl vfs

ENVIRONMENT VARIABLES

BLOCKSIZE
    If the environmental variable BLOCKSIZE is set, the block counts will be displayed in units of that size block.

BUGS
The -n and -t flags are ignored if a file or filesystem is specified.

SEE ALSO
quota(1), fstatfs(2), getfsstat(2), statfs(2), getmntinfo(3), fstab(5), mount(8), quot(8), sysctl(8)

HISTORY
A df command appeared in AT&T UNIX.